"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRuntimeResourceName = exports.matchUrl = exports.randomGuid = void 0;
const crypto_1 = require("crypto");
const node_match_path_1 = require("node-match-path");
const quidproquo_core_1 = require("quidproquo-core");
const randomGuid = () => {
    return (0, crypto_1.randomUUID)();
};
exports.randomGuid = randomGuid;
const matchUrl = (path, url) => {
    // /attempt/{attemptUuid}/result/{test} => /attempt/:attemptUuid/result/:test
    const modifiedPath = path.replaceAll(/{(.+?)}/g, (m, g) => `:${g}`);
    const matchResult = (0, node_match_path_1.match)(modifiedPath, url);
    return {
        didMatch: matchResult.matches,
        params: matchResult.params,
    };
};
exports.matchUrl = matchUrl;
const getRuntimeResourceName = (resourceName, qpqConfig, resourceType = '') => {
    const service = quidproquo_core_1.qpqCoreUtils.getAppName(qpqConfig);
    const environment = quidproquo_core_1.qpqCoreUtils.getAppFeature(qpqConfig);
    return `${resourceName}-${service}-${environment}${resourceType}`;
};
exports.getRuntimeResourceName = getRuntimeResourceName;
